"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const index_vue_1 = tslib_1.__importDefault(require("./src/index.vue"));
const vue_1 = require("vue");
let pilotObj = [];
const pilot = (options) => {
    const container = document.createElement('div');
    //销毁实列
    const onClosed = () => {
        vue_1.render(null, container);
        container.remove();
        pilotObj = [];
    };
    const onOpen = () => {
    };
    //创建实列
    const vnode = vue_1.createVNode(index_vue_1.default, { ...options, onClosed });
    vue_1.render(vnode, container);
    // 添加dom
    const appendTo = document.body;
    appendTo.appendChild(container.firstElementChild);
    // instance
    const instance = vnode.component;
    const vm = instance?.proxy;
    return vm;
};
const pilotGenerate = (options) => {
    if (pilotObj.length === 0) {
        const _pilot = pilot(options);
        pilotObj.push(_pilot);
    }
    return pilotObj[0];
};
exports.default = pilotGenerate;
